Bug 163454 - [patch] www/firefox-beta: unbreak with libc++
[patch] www/firefox-beta: unbreak with libc++
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: gecko
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-19 18:20 UTC by Jan Beich
Modified: 2012-07-27 14:27 UTC (History)
0 users

See Also:


Attachments
file.diff (4.32 KB, patch)
2011-12-19 18:20 UTC, Jan Beich
no flags Details | Diff
unwind.diff (1.36 KB, patch)
2012-06-02 14:15 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2011-12-19 18:20:03 UTC

Fix: --- libc++.diff begins here ---
How-To-Repeat: #v+
$ make
[...]
clang++ -o message_pump_libevent.o -c -I../../dist/stl_wrappers -I../../dis=
t/system_wrappers -include ../../config/gcc_hidden.h -DMOZILLA_INTERNAL_API=
 -D_IMPL_NS_COM -DEXPORT_XPT_API -DEXPORT_XPTC_API -D_IMPL_NS_GFX -D_IMPL_N=
S_WIDGET -DIMPL_XREAPI -DIMPL_NS_NET -DIMPL_THEBES  -DSTATIC_EXPORTABLE_JS_=
API -DOSTYPE=3D\"FreeBSD9\" -DOSARCH=3DFreeBSD -DEXCLUDE_SKIA_DEPENDENCIES =
 -DOS_LINUX=3D1 -DOS_POSIX=3D1  -I../../dist -I../../ipc/chromium/src -I../=
../ipc/glue -I../../ipc/ipdl/_ipdlheaders  -I. -I. -I../../dist/include -I.=
./../dist/include/nsprpub  -I/usr/local/include/nspr -IWRKSRC/dist/include/=
nss      -fPIC -I/usr/local/include -fno-rtti -fno-exceptions -Wall -Wpoint=
er-arith -Woverloaded-virtual -Wsynth -Wno-ctor-dtor-privacy -Wno-non-virtu=
al-dtor -Wno-invalid-offsetof -Wno-variadic-macros -Werror=3Dreturn-type -O=
2 -pipe -fno-strict-aliasing -O2 -stdlib=3Dlibc++ -fno-strict-aliasing -std=
=3Dgnu++0x -ffunction-sections -fdata-sections -pipe -DNDEBUG -DTRIMMED -D_=
THREAD_SAFE -D_REENTRANT -I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-=
2.0/include -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo -I/usr/=
local/include/gdk-pixbuf-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/in=
clude/gio-unix-2.0/ -I/usr/local/include -I/usr/local/include/glib-2.0 -I/u=
sr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/inclu=
de/libpng -I/usr/local/include/libdrm -I/usr/local/include/gtk-unix-print-2=
.0   -fno-omit-frame-pointer  -I/usr/local/include -DMOZILLA_CLIENT -includ=
e ../../mozilla-config.h WRKSRC/ipc/chromium/src/base/message_pump_libevent=
.cc
WRKSRC/ipc/chromium/src/base/message_pump_libevent.cc:91:28: error:
      use of undeclared identifier 'read'
  int nread =3D HANDLE_EINTR(read(socket, &buf, 1));
                           ^
WRKSRC/ipc/chromium/src/base/eintr_wrapper.h:20:10: note: expanded from:
  typeof(x) __eintr_result__; \
         ^
WRKSRC/ipc/chromium/src/base/message_pump_libevent.cc:91:28: error:
      use of undeclared identifier 'read'
  int nread =3D HANDLE_EINTR(read(socket, &buf, 1));
                           ^
WRKSRC/ipc/chromium/src/base/eintr_wrapper.h:22:24: note: expanded from:
    __eintr_result__ =3D x; \
                       ^
WRKSRC/ipc/chromium/src/base/message_pump_libevent.cc:91:7: error:
      cannot initialize a variable of type 'int' with an rvalue of type 'vo=
id'
  int nread =3D HANDLE_EINTR(read(socket, &buf, 1));
      ^       ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
WRKSRC/ipc/chromium/src/base/message_pump_libevent.cc:109:7: error:
      use of undeclared identifier 'pipe'
  if (pipe(fds)) {
      ^
WRKSRC/ipc/chromium/src/base/message_pump_libevent.cc:140:5: error:
      use of undeclared identifier 'close'
    close(wakeup_pipe_in_);
    ^
WRKSRC/ipc/chromium/src/base/message_pump_libevent.cc:142:5: error:
      use of undeclared identifier 'close'
    close(wakeup_pipe_out_);
    ^
WRKSRC/ipc/chromium/src/base/message_pump_libevent.cc:359:29: error:
      use of undeclared identifier 'write'
  int nwrite =3D HANDLE_EINTR(write(wakeup_pipe_in_, &buf, 1));
                            ^
WRKSRC/ipc/chromium/src/base/eintr_wrapper.h:20:10: note: expanded from:
  typeof(x) __eintr_result__; \
         ^
WRKSRC/ipc/chromium/src/base/message_pump_libevent.cc:359:29: error:
      use of undeclared identifier 'write'
  int nwrite =3D HANDLE_EINTR(write(wakeup_pipe_in_, &buf, 1));
                            ^
WRKSRC/ipc/chromium/src/base/eintr_wrapper.h:22:24: note: expanded from:
    __eintr_result__ =3D x; \
                       ^
WRKSRC/ipc/chromium/src/base/message_pump_libevent.cc:359:7: error:
      cannot initialize a variable of type 'int' with an rvalue of type 'vo=
id'
  int nwrite =3D HANDLE_EINTR(write(wakeup_pipe_in_, &buf, 1));
      ^        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
9 errors generated.
gmake[4]: *** [message_pump_libevent.o] Error 1

clang++ -o file_util_linux.o -c -I../../dist/stl_wrappers -I../../dist/syst=
em_wrappers -include ../../config/gcc_hidden.h -DMOZILLA_INTERNAL_API -D_IM=
PL_NS_COM -DEXPORT_XPT_API -DEXPORT_XPTC_API -D_IMPL_NS_GFX -D_IMPL_NS_WIDG=
ET -DIMPL_XREAPI -DIMPL_NS_NET -DIMPL_THEBES  -DSTATIC_EXPORTABLE_JS_API -D=
OSTYPE=3D\"FreeBSD9\" -DOSARCH=3DFreeBSD -DEXCLUDE_SKIA_DEPENDENCIES  -DOS_=
LINUX=3D1 -DOS_POSIX=3D1  -I../../dist -I../../ipc/chromium/src -I../../ipc=
/glue -I../../ipc/ipdl/_ipdlheaders  -I. -I. -I../../dist/include -I../../d=
ist/include/nsprpub  -I/usr/local/include/nspr -IWRKSRC/dist/include/nss   =
   -fPIC -I/usr/local/include -fno-rtti -fno-exceptions -Wall -Wpointer-ari=
th -Woverloaded-virtual -Wsynth -Wno-ctor-dtor-privacy -Wno-non-virtual-dto=
r -Wno-invalid-offsetof -Wno-variadic-macros -Werror=3Dreturn-type -O2 -pip=
e -fno-strict-aliasing -O2 -stdlib=3Dlibc++ -fno-strict-aliasing -std=3Dgnu=
++0x -ffunction-sections -fdata-sections -pipe -DNDEBUG -DTRIMMED -D_THREAD=
_SAFE -D_REENTRANT -I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/in=
clude -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo -I/usr/local/=
include/gdk-pixbuf-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/=
gio-unix-2.0/ -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/loc=
al/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/lib=
png -I/usr/local/include/libdrm -I/usr/local/include/gtk-unix-print-2.0   -=
fno-omit-frame-pointer  -I/usr/local/include -DMOZILLA_CLIENT -include ../.=
./mozilla-config.h WRKSRC/ipc/chromium/src/base/file_util_linux.cc
WRKSRC/ipc/chromium/src/base/file_util_linux.cc:43:5: error:
      use of undeclared identifier 'close'
    close(infile);
    ^
WRKSRC/ipc/chromium/src/base/file_util_linux.cc:52:39: error:
      use of undeclared identifier 'read'; did you mean 'fread'?
    ssize_t bytes_read =3D HANDLE_EINTR(read(infile, &buffer[0], buffer.siz=
e()));
                                      ^
../../ipc/chromium/src/base/eintr_wrapper.h:20:10: note: expanded from:
  typeof(x) __eintr_result__; \
         ^
/usr/include/stdio.h:243:9: note: 'fread' declared here
size_t   fread(void * __restrict, size_t, size_t, FILE * __restrict);
         ^
WRKSRC/ipc/chromium/src/base/file_util_linux.cc:52:77: error:
      too few arguments to function call, expected 4, have 3
    ssize_t bytes_read =3D HANDLE_EINTR(read(infile, &buffer[0], buffer.siz=
e()));
                         ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~=
~^~
../../ipc/chromium/src/base/eintr_wrapper.h:20:10: note: expanded from:
  typeof(x) __eintr_result__; \
         ^
/usr/include/stdio.h:243:1: note: 'fread' declared here
size_t   fread(void * __restrict, size_t, size_t, FILE * __restrict);
^
WRKSRC/ipc/chromium/src/base/file_util_linux.cc:52:39: error:
      use of undeclared identifier 'read'; did you mean 'fread'?
    ssize_t bytes_read =3D HANDLE_EINTR(read(infile, &buffer[0], buffer.siz=
e()));
                                      ^
../../ipc/chromium/src/base/eintr_wrapper.h:22:24: note: expanded from:
    __eintr_result__ =3D x; \
                       ^
/usr/include/stdio.h:243:9: note: 'fread' declared here
size_t   fread(void * __restrict, size_t, size_t, FILE * __restrict);
         ^
WRKSRC/ipc/chromium/src/base/file_util_linux.cc:52:77: error:
      too few arguments to function call, expected 4, have 3
    ssize_t bytes_read =3D HANDLE_EINTR(read(infile, &buffer[0], buffer.siz=
e()));
                         ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~=
~^~
../../ipc/chromium/src/base/eintr_wrapper.h:22:24: note: expanded from:
    __eintr_result__ =3D x; \
                       ^
/usr/include/stdio.h:243:1: note: 'fread' declared here
size_t   fread(void * __restrict, size_t, size_t, FILE * __restrict);
^
WRKSRC/ipc/chromium/src/base/file_util_linux.cc:52:13: error:
      cannot initialize a variable of type 'ssize_t' (aka 'long') with an r=
value of type 'void'
    ssize_t bytes_read =3D HANDLE_EINTR(read(infile, &buffer[0], buffer.siz=
e()));
            ^            ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~=
~~~
WRKSRC/ipc/chromium/src/base/file_util_linux.cc:62:15: error:
      cannot initialize a variable of type 'ssize_t' (aka 'long') with an r=
value of type 'void'
      ssize_t bytes_written_partial =3D HANDLE_EINTR(write(
              ^                       ~~~~~~~~~~~~~~~~~~~
WRKSRC/ipc/chromium/src/base/file_util_linux.cc:74:20: error:
      use of undeclared identifier 'close'
  if (HANDLE_EINTR(close(infile)) < 0)
                   ^
../../ipc/chromium/src/base/eintr_wrapper.h:20:10: note: expanded from:
  typeof(x) __eintr_result__; \
         ^
WRKSRC/ipc/chromium/src/base/file_util_linux.cc:74:20: error:
      use of undeclared identifier 'close'
  if (HANDLE_EINTR(close(infile)) < 0)
                   ^
../../ipc/chromium/src/base/eintr_wrapper.h:22:24: note: expanded from:
    __eintr_result__ =3D x; \
                       ^
WRKSRC/ipc/chromium/src/base/file_util_linux.cc:74:35: error:
      invalid operands to binary expression ('void' and 'int')
  if (HANDLE_EINTR(close(infile)) < 0)
      ~~~~~~~~~~~~~~~~~~~~~~~~~~~ ^ ~
WRKSRC/ipc/chromium/src/base/file_util_linux.cc:76:20: error:
      use of undeclared identifier 'close'
  if (HANDLE_EINTR(close(outfile)) < 0)
                   ^
../../ipc/chromium/src/base/eintr_wrapper.h:20:10: note: expanded from:
  typeof(x) __eintr_result__; \
         ^
WRKSRC/ipc/chromium/src/base/file_util_linux.cc:76:20: error:
      use of undeclared identifier 'close'
  if (HANDLE_EINTR(close(outfile)) < 0)
                   ^
../../ipc/chromium/src/base/eintr_wrapper.h:22:24: note: expanded from:
    __eintr_result__ =3D x; \
                       ^
WRKSRC/ipc/chromium/src/base/file_util_linux.cc:76:36: error:
      invalid operands to binary expression ('void' and 'int')
  if (HANDLE_EINTR(close(outfile)) < 0)
      ~~~~~~~~~~~~~~~~~~~~~~~~~~~~ ^ ~
13 errors generated.
gmake[4]: *** [file_util_linux.o] Error 1

clang++ -o time_posix.o -c -I../../dist/stl_wrappers -I../../dist/system_wr=
appers -include ../../config/gcc_hidden.h -DMOZILLA_INTERNAL_API -D_IMPL_NS=
_COM -DEXPORT_XPT_API -DEXPORT_XPTC_API -D_IMPL_NS_GFX -D_IMPL_NS_WIDGET -D=
IMPL_XREAPI -DIMPL_NS_NET -DIMPL_THEBES  -DSTATIC_EXPORTABLE_JS_API -DOSTYP=
E=3D\"FreeBSD9\" -DOSARCH=3DFreeBSD -DEXCLUDE_SKIA_DEPENDENCIES  -DOS_LINUX=
=3D1 -DOS_POSIX=3D1  -I../../dist -I../../ipc/chromium/src -I../../ipc/glue=
 -I../../ipc/ipdl/_ipdlheaders  -I. -I. -I../../dist/include -I../../dist/i=
nclude/nsprpub  -I/usr/local/include/nspr -IWRKSRC/dist/include/nss      -f=
PIC -I/usr/local/include -fno-rtti -fno-exceptions -Wall -Wpointer-arith -W=
overloaded-virtual -Wsynth -Wno-ctor-dtor-privacy -Wno-non-virtual-dtor -Wn=
o-invalid-offsetof -Wno-variadic-macros -Werror=3Dreturn-type -O2 -pipe -fn=
o-strict-aliasing -O2 -stdlib=3Dlibc++ -fno-strict-aliasing -std=3Dgnu++0x =
-ffunction-sections -fdata-sections -pipe -DNDEBUG -DTRIMMED -D_THREAD_SAFE=
 -D_REENTRANT -I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include=
 -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo -I/usr/local/inclu=
de/gdk-pixbuf-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/gio-u=
nix-2.0/ -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/local/in=
clude/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng -=
I/usr/local/include/libdrm -I/usr/local/include/gtk-unix-print-2.0   -fno-o=
mit-frame-pointer  -I/usr/local/include -DMOZILLA_CLIENT -include ../../moz=
illa-config.h WRKSRC/ipc/chromium/src/base/time_posix.cc
WRKSRC/ipc/chromium/src/base/time_posix.cc:181:2: error:
      #error No usable tick clock function on this platform.
#error No usable tick clock function on this platform.
 ^
1 error generated.
gmake[4]: *** [time_posix.o] Error 1

clang++ -o nsScriptError.o -c -I../../../../dist/stl_wrappers -I../../../..=
/dist/system_wrappers -include ../../../../config/gcc_hidden.h -DMOZILLA_IN=
TERNAL_API -D_IMPL_NS_COM -DEXPORT_XPT_API -DEXPORT_XPTC_API -D_IMPL_NS_GFX=
 -D_IMPL_NS_WIDGET -DIMPL_XREAPI -DIMPL_NS_NET -DIMPL_THEBES  -DSTATIC_EXPO=
RTABLE_JS_API -DOSTYPE=3D\"FreeBSD9\" -DOSARCH=3DFreeBSD -DJSFILE -DJS_THRE=
ADSAFE -DEXPORT_XPC_API  -DJS_TRACER=3D1 -DFEATURE_NANOJIT=3D1 -DAVMPLUS_64=
BIT -DAVMPLUS_AMD64 -DAVMPLUS_UNIX  -D_IMPL_NS_LAYOUT -I./../wrappers -I./.=
./loader -I../../../../js/src -I../../../../js/src/nanojit -I../../../../ca=
ps/include -I../../../../content/base/src -I../../../../content/html/conten=
t/src -I../../../../content/html/document/src -I../../../../content/svg/con=
tent/src -I../../../../layout/style -I../../../../layout/base -I../../../..=
/dom/base -I../../../../xpcom/ds  -I. -I. -I../../../../dist/include -I../.=
./../../dist/include/nsprpub  -I/usr/local/include/nspr -IWRKSRC/dist/inclu=
de/nss      -fPIC -I/usr/local/include -fno-rtti -fno-exceptions -Wall -Wpo=
inter-arith -Woverloaded-virtual -Wsynth -Wno-ctor-dtor-privacy -Wno-non-vi=
rtual-dtor -Wno-invalid-offsetof -Wno-variadic-macros -Werror=3Dreturn-type=
 -O2 -pipe -fno-strict-aliasing -O2 -stdlib=3Dlibc++ -fno-strict-aliasing -=
std=3Dgnu++0x -ffunction-sections -fdata-sections -pipe  -DNDEBUG -DTRIMMED=
 -fno-omit-frame-pointer  -I/usr/local/include -DMOZILLA_CLIENT -include ..=
/../../../mozilla-config.h WRKSRC/js/src/xpconnect/src/nsScriptError.cpp
In file included from WRKSRC/js/src/xpconnect/src/nsScriptError.cpp:46:
In file included from ../../../../dom/base/nsGlobalWindow.h:82:
In file included from ../../../../dist/include/nsEventListenerManager.h:52:
In file included from ../../../../dist/include/nsGUIEvent.h:46:
In file included from ../../../../dist/include/nsRect.h:49:
In file included from ../../../../dist/include/mozilla/gfx/BaseRect.h:41:
/usr/include/c++/v1/cmath:763:76: error: use of undeclared identifier 'cosh=
l'
inline _LIBCPP_INLINE_VISIBILITY long double cosh(long double __x) {return =
coshl(__x);}
                                                                           ^
/usr/include/c++/v1/cmath:778:75: error: use of undeclared identifier 'expl'
inline _LIBCPP_INLINE_VISIBILITY long double exp(long double __x) {return e=
xpl(__x);}
                                                                          ^
/usr/include/c++/v1/cmath:879:75: error: use of undeclared identifier 'logl'
inline _LIBCPP_INLINE_VISIBILITY long double log(long double __x) {return l=
ogl(__x);}
                                                                          ^
/usr/include/c++/v1/cmath:894:77: error: use of undeclared identifier 'log1=
0l'
inline _LIBCPP_INLINE_VISIBILITY long double log10(long double __x) {return=
 log10l(__x);}
                                                                           =
 ^
/usr/include/c++/v1/cmath:919:92: error: use of undeclared identifier 'powl'
inline _LIBCPP_INLINE_VISIBILITY long double pow(long double __x, long doub=
le __y) {return powl(__x, __y);}
                                                                           =
                ^
/usr/include/c++/v1/cmath:960:76: error: use of undeclared identifier 'sinh=
l'
inline _LIBCPP_INLINE_VISIBILITY long double sinh(long double __x) {return =
sinhl(__x);}
                                                                           ^
/usr/include/c++/v1/cmath:1005:76: error: use of undeclared identifier 'tan=
hl'
inline _LIBCPP_INLINE_VISIBILITY long double tanh(long double __x) {return =
tanhl(__x);}
                                                                           ^
/usr/include/c++/v1/cmath:1020:77: error: use of undeclared identifier 'aco=
shl'
inline _LIBCPP_INLINE_VISIBILITY long double acosh(long double __x) {return=
 acoshl(__x);}
                                                                           =
 ^
/usr/include/c++/v1/cmath:1035:77: error: use of undeclared identifier 'asi=
nhl'
inline _LIBCPP_INLINE_VISIBILITY long double asinh(long double __x) {return=
 asinhl(__x);}
                                                                           =
 ^
/usr/include/c++/v1/cmath:1050:77: error: use of undeclared identifier 'ata=
nhl'
inline _LIBCPP_INLINE_VISIBILITY long double atanh(long double __x) {return=
 atanhl(__x);}
                                                                           =
 ^
/usr/include/c++/v1/cmath:1105:75: error: use of undeclared identifier 'erf=
l'
inline _LIBCPP_INLINE_VISIBILITY long double erf(long double __x) {return e=
rfl(__x);}
                                                                          ^
/usr/include/c++/v1/cmath:1118:76: error: use of undeclared identifier 'erf=
cl'
inline _LIBCPP_INLINE_VISIBILITY long double erfc(long double __x) {return =
erfcl(__x);}
                                                                           ^
/usr/include/c++/v1/cmath:1144:77: error: use of undeclared identifier 'exp=
m1l'
inline _LIBCPP_INLINE_VISIBILITY long double expm1(long double __x) {return=
 expm1l(__x);}
                                                                           =
 ^
/usr/include/c++/v1/cmath:1294:78: error: use of undeclared identifier 'lga=
mmal'
inline _LIBCPP_INLINE_VISIBILITY long double lgamma(long double __x) {retur=
n lgammal(__x);}
                                                                           =
  ^
/usr/include/c++/v1/cmath:1333:77: error: use of undeclared identifier 'log=
1pl'
inline _LIBCPP_INLINE_VISIBILITY long double log1p(long double __x) {return=
 log1pl(__x);}
                                                                           =
 ^
/usr/include/c++/v1/cmath:1346:76: error: use of undeclared identifier 'log=
2l'
inline _LIBCPP_INLINE_VISIBILITY long double log2(long double __x) {return =
log2l(__x);}
                                                                           ^
/usr/include/c++/v1/cmath:1553:78: error: use of undeclared identifier 'tga=
mmal'
inline _LIBCPP_INLINE_VISIBILITY long double tgamma(long double __x) {retur=
n tgammal(__x);}
                                                                           =
  ^
/usr/include/c++/v1/cmath:1581:9: error: no member named 'coshl' in the glo=
bal namespace
using ::coshl;
      ~~^
/usr/include/c++/v1/cmath:1582:9: error: no member named 'expl' in the glob=
al namespace
using ::expl;
      ~~^
fatal error: too many errors emitted, stopping now [-ferror-limit=3D]
20 errors generated.
gmake[4]: *** [nsScriptError.o] Error 1

/usr/local/bin/python2.7 ../../config/pythonpath.py -I../../config ../../co=
nfig/expandlibs_exec.py --uselist --  clang++ -I/usr/local/include -fno-rtt=
i -fno-exceptions -Wall -Wpointer-arith -Woverloaded-virtual -Wsynth -Wno-c=
tor-dtor-privacy -Wno-non-virtual-dtor -Wno-invalid-offsetof -Wno-variadic-=
macros -Werror=3Dreturn-type -O2 -pipe -fno-strict-aliasing -O2 -stdlib=3Dl=
ibc++ -fno-strict-aliasing -std=3Dgnu++0x -ffunction-sections -fdata-sectio=
ns -pipe  -DNDEBUG -DTRIMMED -fno-omit-frame-pointer -fPIC -shared -Wl,-z,d=
efs -Wl,--gc-sections -Wl,-h,libxul.so -o libxul.so  nsStaticXULComponents.=
o nsUnicharUtils.o nsBidiUtils.o nsRDFResource.o    -pthread     -lc  -Wl,-=
rpath-link,WRKSRC/dist/bin -Wl,-rpath-link,/usr/local/lib   ../../toolkit/x=
re/libxulapp_s.a  ../../staticlib/components/libnecko.a ../../staticlib/com=
ponents/libuconv.a ../../staticlib/components/libi18n.a ../../staticlib/com=
ponents/libchardet.a ../../staticlib/components/libjar50.a ../../staticlib/=
components/libstartupcache.a ../../staticlib/components/libpref.a ../../sta=
ticlib/components/libhtmlpars.a ../../staticlib/components/libimglib2.a ../=
../staticlib/components/libgkgfx.a ../../staticlib/components/libgklayout.a=
 ../../staticlib/components/libdocshell.a ../../staticlib/components/libemb=
edcomponents.a ../../staticlib/components/libwebbrwsr.a ../../staticlib/com=
ponents/libnsappshell.a ../../staticlib/components/libtxmgr.a ../../staticl=
ib/components/libcommandlines.a ../../staticlib/components/libtoolkitcomps.=
a ../../staticlib/components/libpipboot.a ../../staticlib/components/libpip=
nss.a ../../staticlib/components/libappcomps.a ../../staticlib/components/l=
ibjsreflect.a ../../staticlib/components/libcomposer.a ../../staticlib/comp=
onents/libjetpack_s.a ../../staticlib/components/libtelemetry.a ../../stati=
clib/components/libjsdebugger.a ../../staticlib/components/libstoragecomps.=
a ../../staticlib/components/libjsctypes.a ../../staticlib/components/libjs=
perf.a ../../staticlib/components/libgkplugin.a ../../staticlib/components/=
libunixproxy.a ../../staticlib/components/libjsd.a ../../staticlib/componen=
ts/libautoconfig.a ../../staticlib/components/libauth.a ../../staticlib/com=
ponents/libcookie.a ../../staticlib/components/libpermissions.a ../../stati=
clib/components/libuniversalchardet.a ../../staticlib/components/librdf.a .=
./../staticlib/components/libwindowds.a ../../staticlib/components/libfilev=
iew.a ../../staticlib/components/libplaces.a ../../staticlib/components/lib=
tkautocomplete.a ../../staticlib/components/libsatchel.a ../../staticlib/co=
mponents/libpippki.a ../../staticlib/components/libwidget_gtk2.a ../../stat=
iclib/components/libsystem-pref.a ../../staticlib/components/libimgicon.a .=
./../staticlib/components/libaccessibility.a ../../staticlib/components/lib=
remoteservice.a ../../staticlib/components/libspellchecker.a ../../staticli=
b/components/libzipwriter.a ../../staticlib/components/libservices-crypto.a=
 ../../staticlib/libjsipc_s.a ../../staticlib/libdomipc_s.a ../../staticlib=
/libdomplugins_s.a ../../staticlib/libmozipc_s.a ../../staticlib/libmozipdl=
gen_s.a ../../staticlib/libipcshell_s.a ../../staticlib/libgfx2d.a ../../st=
aticlib/libgfxipc_s.a ../../staticlib/libxpcom_core.a ../../staticlib/libuc=
vutil_s.a ../../staticlib/libchromium_s.a ../../staticlib/libmozreg_s.a ../=
../staticlib/libgtkxtbin.a ../../staticlib/libthebes.a ../../staticlib/liby=
cbcr.a ../../staticlib/libangle.a  -L../../dist/bin -L../../dist/lib ../../=
jpeg/libmozjpeg.a ../../modules/libimg/png/libmozpng.a ../../gfx/qcms/libmo=
zqcms.a WRKSRC/dist/lib/libjs_static.a -L../../dist/bin -L../../dist/lib -l=
crmf -lsmime3 -lssl3 -lnss3 -lnssutil3 -pthread -L/usr/local/lib -lcairo -l=
pixman-1 -lfreetype -lfontconfig    -L/usr/local/lib -pthread -L/usr/local/=
lib -lXrender -lcairo -lX11   ../../gfx/harfbuzz/src/libmozharfbuzz.a ../..=
/gfx/ots/src/libmozots.a  ../../dist/lib/libmozsqlite3.a  -lz  -L/usr/local=
/lib -levent  -L../../dist/bin -L../../dist/lib  -lexecinfo -pthread  -L/us=
r/local/lib -lplds4 -lplc4 -lnspr4 -pthread ../../dist/lib/libmozalloc.a -L=
/usr/local/lib -lX11  -lXext  -pthread -L/usr/local/lib -lpangocairo-1.0 -l=
cairo -lpangoft2-1.0 -lpango-1.0 -lm -lfreetype -lfontconfig -lgobject-2.0 =
-lgmodule-2.0 -lgthread-2.0 -lglib-2.0   -pthread -L/usr/local/lib -lgtk-x1=
1-2.0 -latk-1.0 -lgdk-x11-2.0 -lpangocairo-1.0 -lXext -lXrender -lXinerama =
-lXi -lXrandr -lXcursor -lXcomposite -lXdamage -lgdk_pixbuf-2.0 -lpangoft2-=
1.0 -lpango-1.0 -lm -lfreetype -lfontconfig -lgio-2.0 -lgmodule-2.0 -lXfixe=
s -lgobject-2.0 -lgthread-2.0 -lglib-2.0 -lcairo -lX11   -lXt -lgthread-2.0=
 -L/usr/local/lib -lfreetype -lz -lbz2 -pthread -L/usr/local/lib -liconv -l=
iconv=20=20=20
../profile/nsProfileLock.o: In function `nsProfileLock::LockWithSymlink(nsA=
CString_internal const&, int)':
WRKSRC/toolkit/profile/nsProfileLock.cpp:396: undefined reference to `__cxa=
_guard_acquire'
WRKSRC/toolkit/profile/nsProfileLock.cpp:396: undefined reference to `__cxa=
_guard_release'
../../netwerk/build/nsNetModule.o:(.data.rel.ro._ZTV17nsIStreamListener[_ZT=
V17nsIStreamListener]+0x10): undefined reference to `__cxa_pure_virtual'
../../netwerk/build/nsNetModule.o:(.data.rel.ro._ZTV17nsIStreamListener[_ZT=
V17nsIStreamListener]+0x18): undefined reference to `__cxa_pure_virtual'
../../netwerk/build/nsNetModule.o:(.data.rel.ro._ZTV17nsIStreamListener[_ZT=
V17nsIStreamListener]+0x20): undefined reference to `__cxa_pure_virtual'
../../netwerk/build/nsNetModule.o:(.data.rel.ro._ZTV17nsIStreamListener[_ZT=
V17nsIStreamListener]+0x28): undefined reference to `__cxa_pure_virtual'
../../netwerk/build/nsNetModule.o:(.data.rel.ro._ZTV17nsIStreamListener[_ZT=
V17nsIStreamListener]+0x30): undefined reference to `__cxa_pure_virtual'
../../netwerk/build/nsNetModule.o:(.data.rel.ro._ZTV17nsIStreamListener[_ZT=
V17nsIStreamListener]+0x38): more undefined references to `__cxa_pure_virtu=
al' follow
../../netwerk/cache/nsCacheService.o: In function `nsCacheProfilePrefObserv=
er::MemoryCacheCapacity()':
WRKSRC/netwerk/cache/nsCacheService.cpp:904: undefined reference to `__cxa_=
guard_acquire'
WRKSRC/netwerk/cache/nsCacheService.cpp:904: undefined reference to `__cxa_=
guard_release'
../../netwerk/cache/nsMemoryCacheDevice.o:(.data.rel.ro._ZTV13nsCacheDevice=
[_ZTV13nsCacheDevice]+0x20): undefined reference to `__cxa_pure_virtual'
../../netwerk/cache/nsMemoryCacheDevice.o:(.data.rel.ro._ZTV13nsCacheDevice=
[_ZTV13nsCacheDevice]+0x28): undefined reference to `__cxa_pure_virtual'
../../netwerk/cache/nsMemoryCacheDevice.o:(.data.rel.ro._ZTV13nsCacheDevice=
[_ZTV13nsCacheDevice]+0x30): undefined reference to `__cxa_pure_virtual'
../../netwerk/cache/nsMemoryCacheDevice.o:(.data.rel.ro._ZTV13nsCacheDevice=
[_ZTV13nsCacheDevice]+0x38): undefined reference to `__cxa_pure_virtual'
../../netwerk/cache/nsMemoryCacheDevice.o:(.data.rel.ro._ZTV13nsCacheDevice=
[_ZTV13nsCacheDevice]+0x40): undefined reference to `__cxa_pure_virtual'
../../netwerk/cache/nsMemoryCacheDevice.o:(.data.rel.ro._ZTV13nsCacheDevice=
[_ZTV13nsCacheDevice]+0x48): more undefined references to `__cxa_pure_virtu=
al' follow
../../intl/lwbrk/src/nsPangoBreaker.o: In function `NS_GetComplexLineBreaks=
(unsigned short const*, unsigned int, unsigned char*)':
WRKSRC/intl/lwbrk/src/nsPangoBreaker.cpp:64: undefined reference to `__cxa_=
guard_acquire'
WRKSRC/intl/lwbrk/src/nsPangoBreaker.cpp:64: undefined reference to `__cxa_=
guard_release'
../../intl/chardet/src/nsCyrillicDetector.o:(.data.rel.ro._ZTV18nsCyrillicD=
etector+0x30): undefined reference to `__cxa_pure_virtual'
../../parser/htmlparser/src/nsHTMLTokens.o: In function `CTextToken::Consum=
e(unsigned short, nsScanner&, int)':
WRKSRC/parser/htmlparser/src/nsHTMLTokens.cpp:500: undefined reference to `=
__cxa_guard_acquire'
WRKSRC/parser/htmlparser/src/nsHTMLTokens.cpp:500: undefined reference to `=
__cxa_guard_release'
../../parser/htmlparser/src/nsHTMLTokens.o: In function `CTextToken::Consum=
eParsedCharacterData(int, int, nsScanner&, nsAString_internal const&, int, =
int&)':
WRKSRC/parser/htmlparser/src/nsHTMLTokens.cpp:774: undefined reference to `=
__cxa_guard_acquire'
WRKSRC/parser/htmlparser/src/nsHTMLTokens.cpp:774: undefined reference to `=
__cxa_guard_release'
../../parser/htmlparser/src/nsHTMLTokens.o: In function `CCDATASectionToken=
::Consume(unsigned short, nsScanner&, int)':
WRKSRC/parser/htmlparser/src/nsHTMLTokens.cpp:983: undefined reference to `=
__cxa_guard_acquire'
WRKSRC/parser/htmlparser/src/nsHTMLTokens.cpp:983: undefined reference to `=
__cxa_guard_release'
../../parser/htmlparser/src/nsHTMLTokens.o: In function `CMarkupDeclToken::=
Consume(unsigned short, nsScanner&, int)':
WRKSRC/parser/htmlparser/src/nsHTMLTokens.cpp:1119: undefined reference to =
`__cxa_guard_acquire'
WRKSRC/parser/htmlparser/src/nsHTMLTokens.cpp:1119: undefined reference to =
`__cxa_guard_release'
../../parser/htmlparser/src/nsHTMLTokens.o: In function `CAttributeToken::C=
onsume(unsigned short, nsScanner&, int)':
WRKSRC/parser/htmlparser/src/nsHTMLTokens.cpp:1768: undefined reference to =
`__cxa_guard_acquire'
WRKSRC/parser/htmlparser/src/nsHTMLTokens.cpp:1768: undefined reference to =
`__cxa_guard_release'
../../parser/htmlparser/src/nsHTMLTokens.o: In function `ConsumeQuotedStrin=
g':
WRKSRC/parser/htmlparser/src/nsHTMLTokens.cpp:1669: undefined reference to =
`__cxa_guard_acquire'
WRKSRC/parser/htmlparser/src/nsHTMLTokens.cpp:1669: undefined reference to =
`__cxa_guard_release'
WRKSRC/parser/htmlparser/src/nsHTMLTokens.cpp:1671: undefined reference to =
`__cxa_guard_acquire'
WRKSRC/parser/htmlparser/src/nsHTMLTokens.cpp:1671: undefined reference to =
`__cxa_guard_release'
WRKSRC/parser/htmlparser/src/nsHTMLTokens.cpp:1696: undefined reference to =
`__cxa_guard_acquire'
WRKSRC/parser/htmlparser/src/nsHTMLTokens.cpp:1696: undefined reference to =
`__cxa_guard_release'
../../parser/htmlparser/src/nsHTMLTokens.o: In function `CAttributeToken::C=
onsume(unsigned short, nsScanner&, int)':
WRKSRC/parser/htmlparser/src/nsHTMLTokens.cpp:1836: undefined reference to =
`__cxa_guard_acquire'
WRKSRC/parser/htmlparser/src/nsHTMLTokens.cpp:1836: undefined reference to =
`__cxa_guard_release'
../../parser/htmlparser/src/nsHTMLTokens.o: In function `CDoctypeDeclToken:=
:Consume(unsigned short, nsScanner&, int)':
WRKSRC/parser/htmlparser/src/nsHTMLTokens.cpp:2341: undefined reference to =
`__cxa_guard_acquire'
WRKSRC/parser/htmlparser/src/nsHTMLTokens.cpp:2341: undefined reference to =
`__cxa_guard_release'
../../parser/htmlparser/src/nsToken.o:(.data.rel.ro._ZTV6CToken+0x20): unde=
fined reference to `__cxa_pure_virtual'
../../parser/htmlparser/src/nsToken.o:(.data.rel.ro._ZTV6CToken+0x78): unde=
fined reference to `__cxa_pure_virtual'
../../modules/libpr0n/src/Image.o:(.data.rel.ro._ZTVN7mozilla8imagelib5Imag=
eE+0x10): undefined reference to `__cxa_pure_virtual'
../../modules/libpr0n/src/Image.o:(.data.rel.ro._ZTVN7mozilla8imagelib5Imag=
eE+0x18): undefined reference to `__cxa_pure_virtual'
../../modules/libpr0n/src/Image.o:(.data.rel.ro._ZTVN7mozilla8imagelib5Imag=
eE+0x20): undefined reference to `__cxa_pure_virtual'
../../modules/libpr0n/src/Image.o:(.data.rel.ro._ZTVN7mozilla8imagelib5Imag=
eE+0x28): more undefined references to `__cxa_pure_virtual' follow
../../layout/base/nsDisplayList.o: In function `nsDisplayListBuilder::SetDi=
splayPort(nsRect const&)':
WRKSRC/layout/base/nsDisplayList.cpp:159: undefined reference to `__cxa_gua=
rd_acquire'
WRKSRC/layout/base/nsDisplayList.cpp:159: undefined reference to `__cxa_gua=
rd_release'
../../layout/base/nsDisplayList.o:(.data.rel.ro._ZTV13nsDisplayItem[_ZTV13n=
sDisplayItem]+0x20): undefined reference to `__cxa_pure_virtual'
../../layout/base/nsPresShell.o:(.data.rel.ro._ZTV12nsIPresShell+0x10): und=
efined reference to `__cxa_pure_virtual'
../../layout/base/nsPresShell.o:(.data.rel.ro._ZTV12nsIPresShell+0x18): und=
efined reference to `__cxa_pure_virtual'
../../layout/base/nsPresShell.o:(.data.rel.ro._ZTV12nsIPresShell+0x20): und=
efined reference to `__cxa_pure_virtual'
../../layout/base/nsPresShell.o:(.data.rel.ro._ZTV12nsIPresShell+0x28): und=
efined reference to `__cxa_pure_virtual'
../../layout/base/nsPresShell.o:(.data.rel.ro._ZTV12nsIPresShell+0x30): mor=
e undefined references to `__cxa_pure_virtual' follow
../../layout/generic/nsTextFrameThebes.o: In function `nsTextFrame::EnsureT=
extRun(gfxContext*, nsIFrame*, nsLineList_iterator const*, unsigned int*)':
WRKSRC/layout/generic/nsTextFrameThebes.cpp:2255: undefined reference to `_=
_cxa_guard_acquire'
WRKSRC/layout/generic/nsTextFrameThebes.cpp:2255: undefined reference to `_=
_cxa_guard_release'
WRKSRC/layout/generic/nsTextFrameThebes.cpp:2289: undefined reference to `_=
_cxa_guard_acquire'
WRKSRC/layout/generic/nsTextFrameThebes.cpp:2289: undefined reference to `_=
_cxa_guard_release'
../../layout/generic/nsTextFrameThebes.o:(.data.rel.ro._ZTV19nsExpirationTr=
ackerI10gfxTextRunLj3EE[_ZTV19nsExpirationTrackerI10gfxTextRunLj3EE]+0x10):=
 undefined reference to `__cxa_pure_virtual'
../../layout/style/AnimationCommon.o:(.data.rel.ro._ZTVN7mozilla3css22Commo=
nAnimationManagerE+0x28): undefined reference to `__cxa_pure_virtual'
../../layout/style/AnimationCommon.o:(.data.rel.ro._ZTVN7mozilla3css22Commo=
nAnimationManagerE+0x30): undefined reference to `__cxa_pure_virtual'
../../layout/style/AnimationCommon.o:(.data.rel.ro._ZTVN7mozilla3css22Commo=
nAnimationManagerE+0x38): undefined reference to `__cxa_pure_virtual'
../../layout/style/AnimationCommon.o:(.data.rel.ro._ZTVN7mozilla3css22Commo=
nAnimationManagerE+0x40): undefined reference to `__cxa_pure_virtual'
../../layout/style/AnimationCommon.o:(.data.rel.ro._ZTVN7mozilla3css22Commo=
nAnimationManagerE+0xa0): more undefined references to `__cxa_pure_virtual'=
 follow
../../layout/style/nsCSSKeywords.o: In function `nsCSSKeywords::GetStringVa=
lue(nsCSSKeyword)':
WRKSRC/layout/style/nsCSSKeywords.cpp:124: undefined reference to `__cxa_gu=
ard_acquire'
WRKSRC/layout/style/nsCSSKeywords.cpp:124: undefined reference to `__cxa_gu=
ard_release'
../../layout/style/nsCSSProps.o: In function `nsCSSProps::GetStringValue(ns=
CSSProperty)':
WRKSRC/layout/style/nsCSSProps.cpp:412: undefined reference to `__cxa_guard=
_acquire'
WRKSRC/layout/style/nsCSSProps.cpp:412: undefined reference to `__cxa_guard=
_release'
../../layout/style/nsCSSProps.o: In function `nsCSSProps::GetStringValue(ns=
CSSFontDesc)':
WRKSRC/layout/style/nsCSSProps.cpp:424: undefined reference to `__cxa_guard=
_acquire'
WRKSRC/layout/style/nsCSSProps.cpp:424: undefined reference to `__cxa_guard=
_release'
../../layout/style/nsCSSProps.o: In function `nsCSSProps::ValueToKeyword(in=
t, int const*)':
WRKSRC/layout/style/nsCSSProps.cpp:1515: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/layout/style/nsCSSProps.cpp:1515: undefined reference to `__cxa_guar=
d_release'
../../layout/style/nsCSSProps.o: In function `nsCSSProps::LookupPropertyVal=
ue(nsCSSProperty, int)':
WRKSRC/layout/style/nsCSSProps.cpp:1544: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/layout/style/nsCSSProps.cpp:1544: undefined reference to `__cxa_guar=
d_release'
../../layout/style/nsCSSRules.o:(.data.rel.ro._ZTVN7mozilla3css9GroupRuleE+=
0x10): undefined reference to `__cxa_pure_virtual'
../../layout/style/nsCSSRules.o:(.data.rel.ro._ZTVN7mozilla3css9GroupRuleE+=
0x40): undefined reference to `__cxa_pure_virtual'
../../layout/style/nsCSSRules.o:(.data.rel.ro._ZTVN7mozilla3css9GroupRuleE+=
0x50): undefined reference to `__cxa_pure_virtual'
../../layout/style/nsCSSRules.o:(.data.rel.ro._ZTVN7mozilla3css9GroupRuleE+=
0x58): undefined reference to `__cxa_pure_virtual'
../../layout/style/nsCSSRules.o:(.data.rel.ro._ZTVN7mozilla3css9GroupRuleE+=
0x60): undefined reference to `__cxa_pure_virtual'
../../layout/style/nsCSSRules.o:(.data.rel.ro._ZTVN7mozilla3css4RuleE+0x10)=
: more undefined references to `__cxa_pure_virtual' follow
../../content/base/src/nsContentUtils.o: In function `nsContentUtils::Initi=
alizeEventTable()':
WRKSRC/content/base/src/nsContentUtils.cpp:527: undefined reference to `__c=
xa_guard_acquire'
WRKSRC/content/base/src/nsContentUtils.cpp:527: undefined reference to `__c=
xa_guard_release'
../../content/base/src/nsContentUtils.o: In function `nsContentUtils::Initi=
alizeTouchEventTable()':
WRKSRC/content/base/src/nsContentUtils.cpp:575: undefined reference to `__c=
xa_guard_acquire'
WRKSRC/content/base/src/nsContentUtils.cpp:575: undefined reference to `__c=
xa_guard_release'
../../content/base/src/nsDOMBlobBuilder.o:(.data.rel.ro._ZTV14nsIXHRSendabl=
e[_ZTV14nsIXHRSendable]+0x10): undefined reference to `__cxa_pure_virtual'
../../content/base/src/nsDOMBlobBuilder.o:(.data.rel.ro._ZTV14nsIXHRSendabl=
e[_ZTV14nsIXHRSendable]+0x18): undefined reference to `__cxa_pure_virtual'
../../content/base/src/nsDOMBlobBuilder.o:(.data.rel.ro._ZTV14nsIXHRSendabl=
e[_ZTV14nsIXHRSendable]+0x20): undefined reference to `__cxa_pure_virtual'
../../content/base/src/nsDOMBlobBuilder.o:(.data.rel.ro._ZTV14nsIXHRSendabl=
e[_ZTV14nsIXHRSendable]+0x28): undefined reference to `__cxa_pure_virtual'
../../content/base/src/nsDOMFile.o:(.data.rel.ro._ZTV13nsDOMFileBase+0x78):=
 undefined reference to `__cxa_pure_virtual'
../../content/base/src/nsDOMFile.o:(.data.rel.ro._ZTV22nsIJSNativeInitializ=
er[_ZTV22nsIJSNativeInitializer]+0x10): more undefined references to `__cxa=
_pure_virtual' follow
../../content/html/document/src/nsHTMLDocument.o: In function `nsHTMLDocume=
nt::WriteCommon(JSContext*, nsAString_internal const&, int)':
WRKSRC/content/html/document/src/nsHTMLDocument.cpp:1926: undefined referen=
ce to `__cxa_guard_acquire'
WRKSRC/content/html/document/src/nsHTMLDocument.cpp:1926: undefined referen=
ce to `__cxa_guard_release'
../../content/xslt/src/xpath/txBooleanResult.o:(.data.rel.ro._ZTV13txAExprR=
esult[_ZTV13txAExprResult]+0x20): undefined reference to `__cxa_pure_virtua=
l'
../../content/xslt/src/xpath/txBooleanResult.o:(.data.rel.ro._ZTV13txAExprR=
esult[_ZTV13txAExprResult]+0x28): undefined reference to `__cxa_pure_virtua=
l'
../../content/xslt/src/xpath/txBooleanResult.o:(.data.rel.ro._ZTV13txAExprR=
esult[_ZTV13txAExprResult]+0x30): undefined reference to `__cxa_pure_virtua=
l'
../../content/xslt/src/xpath/txBooleanResult.o:(.data.rel.ro._ZTV13txAExprR=
esult[_ZTV13txAExprResult]+0x38): undefined reference to `__cxa_pure_virtua=
l'
../../content/xslt/src/xpath/txBooleanResult.o:(.data.rel.ro._ZTV13txAExprR=
esult[_ZTV13txAExprResult]+0x40): undefined reference to `__cxa_pure_virtua=
l'
../../content/xslt/src/xpath/txExpr.o:(.data.rel.ro._ZTV4Expr+0x20): more u=
ndefined references to `__cxa_pure_virtual' follow
../../dom/base/nsDOMClassInfo.o: In function `nsDOMClassInfo::Init()':
WRKSRC/dom/base/nsDOMClassInfo.cpp:2265: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2264: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2281: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2278: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2338: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2337: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2376: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2374: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2499: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2498: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2517: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2516: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2522: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2521: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2527: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2526: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2532: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2531: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2537: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2536: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2542: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2541: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2547: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2546: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2552: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2551: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2557: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2556: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2562: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2561: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2567: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2566: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2572: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2571: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2578: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2577: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2583: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2582: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2588: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2587: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2593: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2592: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2599: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2598: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2604: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2603: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2609: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2608: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2614: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2613: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2619: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2618: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2624: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2623: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2631: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2630: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2636: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2635: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2641: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2640: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2646: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2645: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2651: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2650: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2656: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2655: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2662: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2661: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2667: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2666: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2672: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2671: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2677: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2676: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2682: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2681: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2687: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2686: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2692: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2691: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2698: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2697: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2703: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2702: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2708: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2707: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2713: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2712: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2718: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2717: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2723: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2722: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2728: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2727: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2733: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2732: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2738: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2737: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2743: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2742: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2748: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2747: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2753: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2752: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2759: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2758: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2765: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2764: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2770: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2769: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2775: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2774: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2780: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2779: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2785: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2784: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2791: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2790: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2796: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2795: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2801: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2800: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2806: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2805: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2811: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2810: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2902: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2901: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2913: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2911: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2956: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2954: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2972: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:2971: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3040: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3039: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3048: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3047: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3057: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3056: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3065: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3064: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3073: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3072: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3081: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3080: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3089: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3088: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3094: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3093: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3105: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3104: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3114: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3113: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3119: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3118: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3125: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3124: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3130: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3129: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3137: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3136: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3144: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3143: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3151: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3150: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3158: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3157: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3165: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3164: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3172: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3171: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3179: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3178: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3184: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3183: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3191: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3190: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3196: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3195: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3201: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3200: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3206: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3205: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3211: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3210: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3218: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3217: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3226: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3225: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3233: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3232: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3240: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3239: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3245: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3244: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3252: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3251: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3257: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3256: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3264: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3263: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3269: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3268: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3276: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3275: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3283: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3282: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3291: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3290: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3296: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3295: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3302: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3301: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3311: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3310: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3316: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3315: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3323: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3322: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3330: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3329: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3335: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3334: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3341: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3340: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3350: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3349: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3356: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3355: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3362: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3361: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3371: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3370: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3376: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3375: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3382: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3381: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3388: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3387: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3394: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3393: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3404: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3403: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3409: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3408: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3417: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3416: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3423: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3422: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3431: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3430: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3437: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3436: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3445: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3444: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3451: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3450: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3668: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3667: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3769: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3768: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3838: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3836: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3883: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3882: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3888: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3887: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3897: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3896: undefined reference to `__cxa_guar=
d_release'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3950: undefined reference to `__cxa_guar=
d_acquire'
WRKSRC/dom/base/nsDOMClassInfo.cpp:3948: undefined reference to `__cxa_guar=
d_release'
../../dom/base/nsContentPermissionHelper.o:(.data.rel.ro._ZTV27nsIContentPe=
rmissionRequest[_ZTV27nsIContentPermissionRequest]+0x10): undefined referen=
ce to `__cxa_pure_virtual'
../../dom/base/nsContentPermissionHelper.o:(.data.rel.ro._ZTV27nsIContentPe=
rmissionRequest[_ZTV27nsIContentPermissionRequest]+0x18): undefined referen=
ce to `__cxa_pure_virtual'
../../dom/base/nsContentPermissionHelper.o:(.data.rel.ro._ZTV27nsIContentPe=
rmissionRequest[_ZTV27nsIContentPermissionRequest]+0x20): undefined referen=
ce to `__cxa_pure_virtual'
../../dom/base/nsContentPermissionHelper.o:(.data.rel.ro._ZTV27nsIContentPe=
rmissionRequest[_ZTV27nsIContentPermissionRequest]+0x28): undefined referen=
ce to `__cxa_pure_virtual'
../../dom/base/nsContentPermissionHelper.o:(.data.rel.ro._ZTV27nsIContentPe=
rmissionRequest[_ZTV27nsIContentPermissionRequest]+0x30): undefined referen=
ce to `__cxa_pure_virtual'
../../dom/base/nsContentPermissionHelper.o:(.data.rel.ro._ZTV27nsIContentPe=
rmissionRequest[_ZTV27nsIContentPermissionRequest]+0x38): more undefined re=
ferences to `__cxa_pure_virtual' follow
../../dom/workers/RuntimeService.o: In function `mozilla::dom::workers::Run=
timeService::NoteIdleThread(nsIThread*)':
WRKSRC/dom/workers/RuntimeService.cpp:1080: undefined reference to `__cxa_g=
uard_acquire'
WRKSRC/dom/workers/RuntimeService.cpp:1080: undefined reference to `__cxa_g=
uard_release'
../../dom/workers/XMLHttpRequestPrivate.o:(.data.rel.ro._ZTVN12_GLOBAL__N_1=
29WorkerThreadProxySyncRunnableE+0x40): undefined reference to `__cxa_pure_=
virtual'
../../dom/workers/XMLHttpRequestPrivate.o:(.data.rel.ro._ZTVN12_GLOBAL__N_1=
23MainThreadProxyRunnableE+0x58): undefined reference to `__cxa_pure_virtua=
l'
../../dom/indexedDB/AsyncConnectionHelper.o:(.data.rel.ro._ZTVN7mozilla3dom=
9indexedDB21AsyncConnectionHelperE+0x50): undefined reference to `__cxa_pur=
e_virtual'
../../dom/indexedDB/IDBCursor.o:(.data.rel.ro._ZTVN7mozilla3dom9indexedDB14=
ContinueHelperE+0x78): undefined reference to `__cxa_pure_virtual'
../../dom/indexedDB/IDBCursor.o:(.data.rel.ro._ZTVN7mozilla3dom9indexedDB14=
ContinueHelperE+0x80): undefined reference to `__cxa_pure_virtual'
../../editor/libeditor/base/nsEditor.o:(.data.rel.ro._ZTV8nsEditor+0x2f8): =
more undefined references to `__cxa_pure_virtual' follow
../../content/smil/nsSMILTimedElement.o: In function `nsSMILTimedElement::G=
etNextInterval(nsSMILInterval const*, nsSMILInterval const*, nsSMILInstance=
Time const*, nsSMILInterval&) const':
WRKSRC/content/smil/nsSMILTimedElement.cpp:1613: undefined reference to `__=
cxa_guard_acquire'
WRKSRC/content/smil/nsSMILTimedElement.cpp:1613: undefined reference to `__=
cxa_guard_release'
../../js/src/xpconnect/src/nsXPConnect.o:(.data.rel.ro._ZTV14AutoMarkingPtr=
[_ZTV14AutoMarkingPtr]+0x20): undefined reference to `__cxa_pure_virtual'
../../js/src/xpconnect/src/nsXPConnect.o:(.data.rel.ro._ZTV14AutoMarkingPtr=
[_ZTV14AutoMarkingPtr]+0x28): undefined reference to `__cxa_pure_virtual'
../../js/src/xpconnect/src/nsXPConnect.o:(.data.rel.ro._ZTV26nsCycleCollect=
ionJSRuntime[_ZTV26nsCycleCollectionJSRuntime]+0x10): undefined reference t=
o `__cxa_pure_virtual'
../../js/src/xpconnect/src/nsXPConnect.o:(.data.rel.ro._ZTV26nsCycleCollect=
ionJSRuntime[_ZTV26nsCycleCollectionJSRuntime]+0x18): undefined reference t=
o `__cxa_pure_virtual'
../../js/src/xpconnect/src/nsXPConnect.o:(.data.rel.ro._ZTV26nsCycleCollect=
ionJSRuntime[_ZTV26nsCycleCollectionJSRuntime]+0x20): undefined reference t=
o `__cxa_pure_virtual'
../../js/src/xpconnect/src/nsXPConnect.o:(.data.rel.ro._ZTV26nsCycleCollect=
ionJSRuntime[_ZTV26nsCycleCollectionJSRuntime]+0x28): more undefined refere=
nces to `__cxa_pure_virtual' follow
../../storage/src/mozStorageStatement.o: In function `mozilla::storage::Sta=
tementClassInfo::GetHelperForLanguage(unsigned int, nsISupports**)':
WRKSRC/storage/src/mozStorageStatement.cpp:100: undefined reference to `__c=
xa_guard_acquire'
WRKSRC/storage/src/mozStorageStatement.cpp:100: undefined reference to `__c=
xa_guard_release'
../../storage/src/mozStorageStatement.o:(.data.rel.ro._ZTV21mozIStorageValu=
eArray[_ZTV21mozIStorageValueArray]+0x10): undefined reference to `__cxa_pu=
re_virtual'
../../storage/src/mozStorageStatement.o:(.data.rel.ro._ZTV21mozIStorageValu=
eArray[
Comment 1 Jan Beich freebsd_committer 2012-05-29 01:45:24 UTC
_DECLARE_C99_LDBL_MATH is no longer needed since r236148.

So, firefox with libc++ still builds fine on Nightly except for
40752:cc5ace5d6ade which broke, I guess, after a libc++ update.

  WRKSRC/_virtualenv/bin/python ../../config/pythonpath.py -I../../config ../../config/expandlibs_exec.py --uselist --  clang++ ... -stdlib=libc++ ... -std=gnu++0x ... -o libxul.so ...

  ../../dom/plugins/ipc/PluginMessageUtils.o: In function `
  mozilla::plugins::ReplaceAll(std::__1::basic_string<char, std::__1::char_traits<char>, std::__1::allocator<char> > const&, std::__1::basic_string<char, std::__1::char_traits<char>, std::__1::allocator<char> > const&, std::__1::basic_string<char, std::__1::char_traits<char>, std::__1::allocator<char> > const&)':
  WRKSRC/dom/plugins/ipc/PluginMessageUtils.cpp:92: undefined reference to `std::__1::basic_string<char, std::__1::char_traits<char>, std::__1::allocator<char> >::find(std::__1::basic_string<char, std::__1::char_traits<char>, std::__1::allocator<char> > const&, unsigned long) const'
  /usr/bin/ld: ../../dom/plugins/ipc/PluginMessageUtils.o: relocation R_X86_64_PC32 against `_ZNKSt3__112basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE4findERKS5_m' can not be used when making a shared object; recompile with -fPIC
  /usr/bin/ld: final link failed: Bad value
Comment 2 Jan Beich freebsd_committer 2012-06-02 14:15:24 UTC
unbreak with /head@r236444
Comment 3 Florian Smeets freebsd_committer 2012-07-27 14:27:32 UTC
State Changed
From-To: open->closed

Committed. Thanks!